Bug 1739544 - pygobject2 depends on Python 2
Summary: pygobject2 depends on Python 2
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: pygobject2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1737933 F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-09 13:46 UTC by Lumír Balhar
Modified: 2020-11-03 17:05 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-09 13:46:09 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for pygobject2's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to pygobject2.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:09:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:15:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-19 11:20:58 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Petr Viktorin 2019-08-19 12:43:59 UTC
This package might need to stay on Python 2, so Gimp can be kept in Fedora.

Are you OK maintaining pygobject2 in Fedora 32, and in future Fedoras until Gimp stops needing it?

The OLPC/Sugar environment might be in a similar situation.

Comment 5 Lumír Balhar 2019-08-26 13:38:32 UTC
Could you please answer the questions from the previous comment?

Comment 6 Lumír Balhar 2019-09-03 09:57:45 UTC
Could you please answer the questions from the previous comment?

Comment 7 Lumír Balhar 2019-09-11 08:28:00 UTC
Could you please answer the questions from the previous comment?

Comment 8 Colin Walters 2019-09-11 11:33:56 UTC
I made "gnome-sig" the main admin, and orphaned the package.

> Are you OK maintaining pygobject2 in Fedora 32, and in future Fedoras until Gimp stops needing it?

I suspect there are a numer of pygobject2 users.  If all of those are orphaned, that'd argue for removing this.

That said, I'm also sure there are a nontrivial numbers of *unpackaged* dependencies, also true much more generally of Python 2.

Anyways, I've orphaned this - from my PoV, I'm fine if we just remove it and all transitive dependencies.

Comment 9 Lumír Balhar 2019-09-18 12:08:32 UTC
Could you please remove yourself from the list of pygobject2's admins?

Comment 10 Gwyn Ciesla 2019-09-23 19:19:46 UTC
I picked this up as I maintain some of the dependencies.

Comment 11 Miro Hrončok 2019-09-23 22:32:50 UTC
(In reply to Petr Viktorin from comment #4)
> This package might need to stay on Python 2, so Gimp can be kept in Fedora.
> 
> Are you OK maintaining pygobject2 in Fedora 32, and in future Fedoras until
> Gimp stops needing it?


I guess the answer is yes.

Comment 12 Gwyn Ciesla 2019-09-24 13:11:39 UTC
I am.

Comment 13 Lumír Balhar 2019-10-03 09:21:42 UTC
This package is a part of approved fesco exception for Gimp: https://pagure.io/fesco/issue/2238

Comment 14 Ben Cotton 2020-11-03 15:32:04 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.